﻿using System;
using System.IO;
using System.Collections.Generic;
using System.Net.Mail;
using System.Net.Mime;
using System.Text;

namespace SendMailTest
{
    class Example1
    {
        static void Main()
        {
            try
            {
                String api_user = "";
                String api_key = "";

                String to = "to1@sendcloud.org";

                MailMessage mailMsg = new MailMessage();

                // The recipient address,use the correct email address instead
                mailMsg.To.Add(new MailAddress(to));
                // The sender, use the correct email address instead
                mailMsg.From = new MailAddress("from@sendcloud.org", "fromname");

                // Mail theme
                mailMsg.Subject = "Smtp C# Smtp Example";

                // Message body content
                string text = "Welcome to SendCloud";
                string html = @"welcome to<a href=""https://api.sendcloud.net"">SendCloud</a>";
                mailMsg.AlternateViews.Add(AlternateView.CreateAlternateViewFromString(text, null, MediaTypeNames.Text.Plain));
                mailMsg.AlternateViews.Add(AlternateView.CreateAlternateViewFromString(html, null, MediaTypeNames.Text.Html));

                // Add attachments
                string file = "E:\\1.txt ";
                Attachment data = new Attachment(file, MediaTypeNames.Application.Octet);
                mailMsg.Attachments.Add(data);

                // Connect to sendcloud server
                SmtpClient smtpClient = new SmtpClient("smtp.sendcloud.net", Convert.ToInt32(25));
                // Verification using api_user and api_key
                System.Net.NetworkCredential credentials = new System.Net.NetworkCredential(api_user, api_key);
                smtpClient.Credentials = credentials;

                smtpClient.Send(mailMsg);
                Console.ReadKey();
            }
            catch (Exception ex)
            {
                Console.WriteLine(ex.ToString());
            }
        }
    }
}

